> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasnotificationresource.md).

# New-RASNotificationResource

### NAME

New-RASNotificationResource\ <br>

### SYNOPSIS

Creates new resource notification.\ <br>

### SYNTAX

New-RASNotificationResource \[-[Type](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#Type)] {CPUEvent | MemoryEvent | RDSHConnectedSessionEvent | ConnectedSessionEvent | RDSHDisconnectedSessionEvent | DisconnectSessionEvent | RDSHConnectedSessionEventPerc | RDSHConnectSessionEvent | RDSHDisconnectedSessionEventPerc | RDSHDisconnectSessionEvent | TunneledSess} \[-[AllServers](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#AllServers) *\<bool>*] \[-[Direction](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#Direction) {RisesAbove | LowersBelow}] \[-[EnableGracePeriod](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#EnableGracePeriod) *\<bool>*] \[-[EnableInterval](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#EnableInterval) *\<SwitchParameter>*] \[-[ExecuteScript](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#ExecuteScript) *\<SwitchParameter>*] \[-[GracePeriod](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#GracePeriod) *\<uint>*] \[-[Interval](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#Interval) *\<uint>*] \[-[Recipients](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#Recipients) *\<string\[]>*] \[-[ScriptId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#ScriptId) *\<uint>*] \[-[ScriptObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#ScriptObject) *<*[*NotificationScript*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/NotificationScript.html)*>*] \[-[SendEmail](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#SendEmail) *\<bool>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#SiteId) *\<uint>*] \[-[TargetIds](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#TargetIds) *\<List\`1>*] \[-[TargetType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#TargetType) {AllServers | RDSHostPools | RDSHGroups | VDIHostPools | VDIPools | AVDHostPools | RemotePCs | SecureGateways | Gateways | Brokers | PublishingAgents | EnrollmentServers | ForceAllAgents}] \[-[Threshold](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#Threshold) *\<uint>*] \[-[WaitUntilRecovered](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#WaitUntilRecovered) *\<SwitchParameter>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASNotificationResource.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Creates a resource notification, such as high/low RAM/CPU usage etc.\ <br>

### PARAMETERS

\
-**Type <**[**RASNotificationResourceType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASNotificationResourceType.html)**>**\
Resource notification type.\
\
Possible values: CPUEvent, MemoryEvent, RDSHConnectedSessionEvent, ConnectedSessionEvent, RDSHDisconnectedSessionEvent, DisconnectSessionEvent, RDSHConnectedSessionEventPerc, RDSHConnectSessionEvent, RDSHDisconnectedSessionEventPerc, RDSHDisconnectSessionEvent, TunneledSess\ <br>

```
        Required?                    true
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Threshold \<uint>**\
Tolerance value which triggers notification.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Direction <**[**ThresholdDirection**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ThresholdDirection.html)**>**\
Threshold direction.\
\
Possible values: RisesAbove, LowersBelow\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                RisesAbove
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID where notification event is setup.\
\
Current site ID is used if siteId is omitted.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**GracePeriod \<uint>**\
Grace period after the notification was done (minutes).\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                5
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**EnableGracePeriod \<bool>**\
Enable/Disable grace period.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                True
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Recipients \<string\[]>**\
Recipients to notify of the event.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SendEmail \<bool>**\
Enable/Disable email notification.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                True
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ScriptId \<uint>**\
Script to execute which has this ID.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                4294967295
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ScriptObject <**[**NotificationScript**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/NotificationScript.html)**>**\
Script Object.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ExecuteScript \<SwitchParameter>**\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Interval \<uint>**\
Invocation interval (minutes).\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                10
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**EnableInterval \<SwitchParameter>**\
Enable/Disable notification intervals.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**WaitUntilRecovered \<SwitchParameter>**\
Wait until recovered.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AllServers \<bool>**\
All servers in site.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**TargetType <**[**TargetType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/TargetType.html)**>**\
Target type.\
\
Possible values: AllServers, RDSHostPools, RDSHGroups, VDIHostPools, VDIPools, AVDHostPools, RemotePCs, SecureGateways, Gateways, Brokers, PublishingAgents, EnrollmentServers, ForceAllAgents\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**TargetIds \<List\`1>**\
Target Ids.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[NotificationResource](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/NotificationResource.html)

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
New-RASNotificationResource -Type ConnectedSessionEvent -Threshold 22\
\
Creates new resouce notification which notifies if the number of session exceeds 22.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasnotificationresource.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
